<?php

/**
 * @file
 * Configuration for the Format Currency project.
 *
 * NOTE: The 'name' and 'links' fields are NOT used - they're present for simply for information.
 *
 * Whilst every effort has been made to ensure this list is correct, it's a LONG
 * list and mistakes *may* have been made. If you find one PLEASE report it to
 * the issue queue for this module so the community can benefit from the change.
 */

/**
 * Holds configuration used for populating the currencies table.
 */
function format_currency_populate() {
  $currencies = array();

//  If you want to get involved, this is a fully featured currency array for
//  import - if a currency differs from these defaults then ensure it is correct
//  in the entries below.
//
//  $currencies[] = array(
//    'code' => '',
//    'num' => 0,
//    'name' => '',
//    'base' => 100,
//    'links' => array(),
//    'symbol' => '',
//    'entity' => '',
//    'coinage_symbol' => '',
//    'coinage_entity' => '',
//    'decimal_places' => 2,
//    'decimal_separator' => '.',
//    'thousands_separator' => ',',
//    'symbol_position' => FORMAT_CURRENCY_LEFT,
//    'coinage_position' => FORMAT_CURRENCY_RIGHT,
//    'status' => FORMAT_CURRENCY_ACTIVE,
//  );

  $currencies[] = array(
    'code' => 'GBP',
    'num' => 826,
    'name' => 'United Kingdom, Pounds',
    'links' => array(
      'http://www.xe.com/currency/gbp-british-pound',
      'http://www.gocurrency.com/countries/united_kingdom.htm',
      'http://en.wikipedia.org/wiki/Pound_sterling',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
    'coinage_symbol' => 'p',
    'coinage_entity' => '&#112;',
  );
  $currencies[] = array(
    'code' => 'EUR',
    'num' => 978,
    'name' => 'Euro Member Countries, Euro',
    'links' => array(
      'http://www.xe.com/currency/eur-euro',
      'http://www.gocurrency.com/countries/euro.htm',
      'http://en.wikipedia.org/wiki/Euro',
    ),
    'symbol' => '€',
    'entity' => '&euro;',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'USD',
    'num' => 840,
    'name' => 'United States of America, Dollars',
    'links' => array(
      'http://www.xe.com/currency/usd-us-dollar',
      'http://www.gocurrency.com/countries/united_states.htm',
      'http://en.wikipedia.org/wiki/United_States_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
    'coinage_symbol' => '¢',
    'coinage_entity' => '&cent;',
  );
  $currencies[] = array(
    'code' => 'AED',
    'num' => 784,
    'name' => 'United Arab Emirates, Dirhams',
    'links' => array(
      'http://www.xe.com/currency/aed-emirati-dirham',
      'http://www.gocurrency.com/countries/uae.htm',
      'http://en.wikipedia.org/wiki/United_Arab_Emirates_dirham',
    ),
    'symbol' => 'د.إ',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'AFN',
    'num' => 971,
    'name' => 'Afghanistan, Afghanis',
    'links' => array(
      'http://www.xe.com/currency/afn-afghan-afghani',
      'http://www.gocurrency.com/countries/afghanistan.htm',
      'http://en.wikipedia.org/wiki/Afghan_afghani',
    ),
    'symbol' => '؋',
    'entity' => '&#1547;',
  );
  $currencies[] = array(
    'code' => 'ALL',
    'num' => 8,
    'name' => 'Albania, Leke',
    'links' => array(
      'http://www.xe.com/currency/all-albanian-lek',
      'http://en.wikipedia.org/wiki/Albanian_lek',
    ),
    'symbol' => 'Lek',
    'entity' => '&#76;&#101;&#107;',
  );
  $currencies[] = array(
    'code' => 'AMD',
    'num' => 51,
    'name' => 'Armenia, Drams',
    'links' => array(
      'http://www.xe.com/currency/amd-armenian-dram',
      'http://www.gocurrency.com/countries/armenia.htm',
      'http://en.wikipedia.org/wiki/Armenian_dram',
    ),
    'symbol' => 'Դ',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ANG',
    'num' => 532,
    'name' => 'Netherlands Antilles, Guilders (also called Florins)',
    'links' => array(
      'http://www.xe.com/currency/ang-dutch-guilder',
      'http://www.gocurrency.com/countries/netherland_antilles.htm',
      'http://en.wikipedia.org/wiki/Netherlands_Antillean_guilder',
    ),
    'symbol' => 'ƒ',
    'entity' => '&fnof;',
  );
  $currencies[] = array(
    'code' => 'AOA',
    'num' => 973,
    'name' => 'Angola, Kwanza',
    'links' => array(
      'http://www.xe.com/currency/aoa-angolan-kwanza',
      'http://www.gocurrency.com/countries/angola.htm',
      'http://en.wikipedia.org/wiki/Angolan_kwanza',
    ),
    'symbol' => 'Kzr.',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ARS',
    'num' => 32,
    'name' => 'Argentina, Pesos',
    'links' => array(
      'http://www.xe.com/currency/ars-argentine-peso',
      'http://www.gocurrency.com/countries/argentina.htm',
      'http://en.wikipedia.org/wiki/Argentine_peso',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'AUD',
    'num' => 36,
    'name' => 'Australian Dollars',
    'links' => array(
      'http://www.xe.com/currency/aud-australian-dollar',
      'http://www.gocurrency.com/countries/australia.htm',
      'http://en.wikipedia.org/wiki/Australian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
    'thousands_separator' => ' ',
  );
  $currencies[] = array(
    'code' => 'AWG',
    'num' => 533,
    'name' => 'Aruba, Guilders (also called Florins)',
    'links' => array(
      'http://www.xe.com/currency/awg-aruban-or-dutch-guilder',
      'http://www.gocurrency.com/countries/aruba.htm',
      'http://en.wikipedia.org/wiki/Aruban_florin',
    ),
    'symbol' => 'ƒ',
    'entity' => '&fnof;',
  );
  $currencies[] = array(
    'code' => 'AZN',
    'num' => 944,
    'name' => 'Azerbaijan, New Manats',
    'links' => array(
      'http://www.xe.com/currency/azn-azerbaijani-new-manat',
      'http://www.gocurrency.com/countries/azerbaijan.htm',
      'http://en.wikipedia.org/wiki/Azerbaijani_manat',
    ),
    'symbol' => 'ман',
    'entity' => '&#1084;&#1072;&#1085;',
  );
  $currencies[] = array(
    'code' => 'BAM',
    'num' => 977,
    'name' => 'Bosnia and Herzegovina, Convertible Marka',
    'links' => array(
      'http://www.xe.com/currency/bam-bosnian-convertible-marka',
      'http://www.gocurrency.com/countries/bosnia.htm',
      'http://en.wikipedia.org/wiki/Bosnia_and_Herzegovina_convertible_mark',
    ),
    'symbol' => 'KM',
    'entity' => '&#75;&#77;',
  );
  $currencies[] = array(
    'code' => 'BBD',
    'num' => 52,
    'name' => 'Barbados, Dollars',
    'links' => array(
      'http://www.xe.com/currency/bbd-barbadian-or-bajan-dollar',
      'http://www.gocurrency.com/countries/barbados.htm',
      'http://en.wikipedia.org/wiki/Barbadian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BDT',
    'num' => 50,
    'name' => 'Bangladesh, Taka',
    'links' => array(
      'http://www.xe.com/currency/bdt-bangladeshi-taka',
      'http://en.wikipedia.org/wiki/Bangladeshi_taka',
    ),
    'symbol' => '',
    'entity' => '&#2547;',
  );
  $currencies[] = array(
    'code' => 'BGN',
    'num' => 975,
    'name' => 'Bulgaria, Leva',
    'links' => array(
      'http://www.xe.com/currency/bgn-bulgarian-lev',
      'http://www.gocurrency.com/countries/bulgaria.htm',
      'http://en.wikipedia.org/wiki/Bulgarian_lev',
    ),
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'BHD',
    'num' => 48,
    'name' => 'Bahrain, Dinars',
    'links' => array(
      'http://www.xe.com/currency/bhd-bahraini-dinar',
      'http://www.gocurrency.com/countries/bahrain.htm',
      'http://en.wikipedia.org/wiki/Bahraini_dinar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'BIF',
    'num' => 108,
    'name' => 'Burundi, Francs',
    'links' => array(
      'http://www.xe.com/currency/bif-burundian-franc',
      'http://www.gocurrency.com/countries/burundi.htm',
      'http://en.wikipedia.org/wiki/Burundian_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'BMD',
    'num' => 60,
    'name' => 'Bermuda, Dollars',
    'links' => array(
      'http://www.xe.com/currency/bmd-bermudian-dollar',
      'http://www.gocurrency.com/countries/bermuda.htm',
      'http://en.wikipedia.org/wiki/Bermudian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BND',
    'num' => 96,
    'name' => 'Brunei Darussalam, Dollars',
    'links' => array(
      'http://www.xe.com/currency/bnd-bruneian-dollar',
      'http://www.gocurrency.com/countries/brunei.htm',
      'http://en.wikipedia.org/wiki/Brunei_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BOB',
    'num' => 68,
    'name' => 'Bolivia, Bolivianos',
    'links' => array(
      'http://www.xe.com/currency/bob-bolivian-boliviano',
      'http://www.gocurrency.com/countries/bolivia.htm',
      'http://en.wikipedia.org/wiki/Boliviano',
    ),
    'symbol' => '$b',
    'entity' => '&#36;&#98;',
  );
  $currencies[] = array(
    'code' => 'BRL',
    'num' => 986,
    'name' => 'Brazil, Brazil Real',
    'links' => array(
      'http://www.xe.com/currency/brl-brazilian-real',
      'http://www.gocurrency.com/countries/brazil.htm',
      'http://en.wikipedia.org/wiki/Brazilian_real',
    ),
    'symbol' => 'R$',
    'entity' => '&#82;&#36;',
  );
  $currencies[] = array(
    'code' => 'BSD',
    'num' => 44,
    'name' => 'Bahamas, Dollars',
    'links' => array(
      'http://www.xe.com/currency/bsd-bahamian-dollar',
      'http://www.gocurrency.com/countries/bahamas.htm',
      'http://en.wikipedia.org/wiki/Bahamian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BTN',
    'num' => 64,
    'name' => 'Bhutan, Ngultrum',
    'links' => array(
      'http://www.xe.com/currency/btn-bhutanese-ngultrum',
      'http://www.gocurrency.com/countries/bhutan.htm',
      'http://en.wikipedia.org/wiki/Bhutanese_ngultrum',
    ),
    'symbol' => 'Nu.',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'BWP',
    'num' => 72,
    'name' => 'Botswana, Pulas',
    'links' => array(
      'http://www.xe.com/currency/bwp-batswana-pula',
      'http://www.gocurrency.com/countries/botswana.htm',
      'http://en.wikipedia.org/wiki/Botswana_pula',
    ),
    'symbol' => 'P',
    'entity' => '&#80;',
  );
  $currencies[] = array(
    'code' => 'BYR',
    'num' => 974,
    'name' => 'Belarus, Rubles',
    'links' => array(
      'http://www.xe.com/currency/byr-belarusian-ruble',
      'http://www.gocurrency.com/countries/belarus.htm',
      'http://en.wikipedia.org/wiki/Belarusian_ruble',
    ),
    'symbol' => 'p.',
    'entity' => '&#112;&#46;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'BZD',
    'num' => 84,
    'name' => 'Belize, Dollars',
    'links' => array(
      'http://www.xe.com/currency/bzd-belizean-dollar',
      'http://www.gocurrency.com/countries/belize.htm',
      'http://en.wikipedia.org/wiki/Belize_dollar',
    ),
    'symbol' => 'BZ$',
    'entity' => '&#66;&#90;&#36;',
  );
  $currencies[] = array(
    'code' => 'CAD',
    'num' => 124,
    'name' => 'Canada, Dollars',
    'links' => array(
      'http://www.xe.com/currency/cad-canadian-dollar',
      'http://www.gocurrency.com/countries/canada.htm',
      'http://en.wikipedia.org/wiki/Canadian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'CDF',
    'num' => 976,
    'name' => 'Congo/Kinshasa, Congolese Francs',
    'links' => array(
      'http://www.xe.com/currency/cdf-congolese-franc',
      'http://www.gocurrency.com/countries/congo.htm',
      'http://en.wikipedia.org/wiki/Congolese_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'CHF',
    'num' => 756,
    'name' => 'Switzerland, Francs',
    'links' => array(
      'http://www.xe.com/currency/chf-swiss-franc',
      'http://www.gocurrency.com/countries/switzerland.htm',
      'http://en.wikipedia.org/wiki/Swiss_franc',
    ),
    'symbol' => 'CHF',
    'entity' => '&#67;&#72;&#70;',
    'decimal_separator' => "'",
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'CLP',
    'num' => 152,
    'name' => 'Chile, Pesos',
    'links' => array(
      'http://www.xe.com/currency/clp-chilean-peso',
      'http://www.gocurrency.com/countries/chile.htm',
      'http://en.wikipedia.org/wiki/Chilean_peso',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
    'decimal_places' => 0,
    'decimal_separator' => ',',
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'CNY',
    'num' => 156,
    'name' => 'China, Yuan Renminbi',
    'links' => array(
      'http://www.xe.com/currency/cny-chinese-yuan-renminbi',
      'http://www.gocurrency.com/countries/china.htm',
      'http://en.wikipedia.org/wiki/Renminbi',
    ),
    'symbol' => '¥',
    'entity' => '&yen;',
  );
  $currencies[] = array(
    'code' => 'COP',
    'num' => 170,
    'name' => 'Colombia, Pesos',
    'links' => array(
      'http://www.xe.com/currency/cop-colombian-peso',
      'http://www.gocurrency.com/countries/colombia.htm',
      'http://en.wikipedia.org/wiki/Colombian_peso',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'CRC',
    'num' => 188,
    'name' => 'Costa Rica, Colones',
    'links' => array(
      'http://www.xe.com/currency/crc-costa-rican-colon',
      'http://www.gocurrency.com/countries/costa_rica.htm',
      'http://en.wikipedia.org/wiki/Costa_Rican_colon',
    ),
    'symbol' => '₡',
    'entity' => '&#8353;',
  );
  $currencies[] = array(
    'code' => 'CUP',
    'num' => 192,
    'name' => 'Cuba, Pesos',
    'links' => array(
      'http://www.xe.com/currency/cup-cuban-peso',
      'http://www.gocurrency.com/countries/cuba.htm',
      'http://en.wikipedia.org/wiki/Cuban_peso',
    ),
    'symbol' => '₱',
    'entity' => '&#8369;',
  );
  $currencies[] = array(
    'code' => 'CVE',
    'num' => 132,
    'name' => 'Cape Verde, Escudos',
    'links' => array(
      'http://www.xe.com/currency/cve-cape-verdean-escudo',
      'http://en.wikipedia.org/wiki/Cape_Verde_escudo',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'CYP',
    'num' => 196,
    'name' => 'Cyprus, Pounds (expires 2008-Jan-31)',
    'links' => array(
      'http://www.gocurrency.com/countries/cyprus.htm',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'CZK',
    'num' => 203,
    'name' => 'Czech Republic, Koruny',
    'links' => array(
      'http://www.xe.com/currency/czk-czech-koruna',
      'http://en.wikipedia.org/wiki/Czech_koruna',
    ),
    'symbol' => 'Kč',
    'entity' => '&#75;&#269;',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'DJF',
    'num' => 262,
    'name' => 'Djibouti, Francs',
    'links' => array(
      'http://www.xe.com/currency/djf-djiboutian-franc',
      'http://www.gocurrency.com/countries/djibouti.htm',
      'http://en.wikipedia.org/wiki/Djiboutian_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'DKK',
    'num' => 208,
    'name' => 'Denmark, Kroner',
    'links' => array(
      'http://www.xe.com/currency/dkk-danish-krone',
      'http://www.gocurrency.com/countries/denmark.htm',
      'http://en.wikipedia.org/wiki/Danish_krone',
    ),
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
    'coinage_symbol' => 'Øre',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'DOP',
    'num' => 214,
    'name' => 'Dominican Republic, Pesos',
    'links' => array(
      'http://www.xe.com/currency/dop-dominican-peso',
      'http://www.gocurrency.com/countries/dominican_republic.htm',
      'http://en.wikipedia.org/wiki/Dominican_peso',
    ),
    'symbol' => 'RD$',
    'entity' => '&#82;&#68;&#36;',
  );
  $currencies[] = array(
    'code' => 'DZD',
    'num' => 12,
    'name' => 'Algeria, Algeria Dinars',
    'links' => array(
      'http://www.xe.com/currency/dzd-algerian-dinar',
      'http://www.gocurrency.com/countries/algeria.htm',
      'http://en.wikipedia.org/wiki/Algerian_dinar',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'EEK',
    'num' => 233,
    'name' => 'Estonia, Krooni',
    'links' => array(
      'http://www.xe.com/currency/eek-estonian-kroon',
      'http://www.gocurrency.com/countries/estonia.htm',
      'http://en.wikipedia.org/wiki/Estonian_kroon',
    ),
    'symbol' => 'kr',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'EGP',
    'num' => 818,
    'name' => 'Egypt, Pounds',
    'links' => array(
      'http://www.xe.com/currency/egp-egyptian-pound',
      'http://www.gocurrency.com/countries/egypt.htm',
      'http://en.wikipedia.org/wiki/Egyptian_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'ERN',
    'num' => 232,
    'name' => 'Eritrea, Nakfa',
    'links' => array(
      'http://www.xe.com/currency/ern-eritrean-nakfa',
      'http://www.gocurrency.com/countries/eritrea.htm',
      'http://en.wikipedia.org/wiki/Eritrean_nakfa',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ETB',
    'num' => 230,
    'name' => 'Ethiopia, Birr',
    'links' => array(
      'http://www.xe.com/currency/etb-ethiopian-birr',
      'http://www.gocurrency.com/countries/ethiopia.htm',
      'http://en.wikipedia.org/wiki/Ethiopian_birr',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'FJD',
    'num' => 242,
    'name' => 'Fiji, Dollars',
    'links' => array(
      'http://www.xe.com/currency/fjd-fijian-dollar',
      'http://www.gocurrency.com/countries/fiji.htm',
      'http://en.wikipedia.org/wiki/Fiji_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'FKP',
    'num' => 238,
    'name' => 'Falkland Islands (Malvinas), Pounds',
    'links' => array(
      'http://www.xe.com/currency/fkp-falkland-island-pound',
      'http://www.gocurrency.com/countries/falkland_islands.htm',
      'http://en.wikipedia.org/wiki/Falkland_Islands_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GEL',
    'num' => 981,
    'name' => 'Georgia, Lari',
    'links' => array(
      'http://www.xe.com/currency/gel-georgian-lari',
      'http://en.wikipedia.org/wiki/Georgian_lari',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'GGP',
    'name' => 'Guernsey, Pounds',
    'links' => array(
      'http://www.xe.com/currency/ggp-guernsey-pound',
      'http://en.wikipedia.org/wiki/Guernsey_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GHC',
    'num' => 288,
    'name' => 'Ghana, Cedis',
    'links' => array(
      'http://www.gocurrency.com/countries/ghana.htm',
      'http://en.wikipedia.org/wiki/Ghanaian_cedi',
    ),
    'symbol' => '¢',
    'entity' => '&cent;',
    'decimal_places' => 0,
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'GHS',
    'num' => 936,
    'name' => 'Ghana, Cedis',
    'links' => array(
      'http://www.xe.com/currency/ghs-ghanaian-cedi',
      'http://www.gocurrency.com/countries/ghana.htm',
      'http://en.wikipedia.org/wiki/Ghanaian_cedi',
    ),
    'symbol' => '¢',
    'entity' => '&cent;',
  );
  $currencies[] = array(
    'code' => 'GIP',
    'num' => 292,
    'name' => 'Gibraltar, Pounds',
    'links' => array(
      'http://www.xe.com/currency/gip-gibraltar-pound',
      'http://en.wikipedia.org/wiki/Gibraltar_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GMD',
    'num' => 270,
    'name' => 'Gambia, Dalasi',
    'links' => array(
      'http://www.xe.com/currency/gmd-gambian-dalasi',
      'http://www.gocurrency.com/countries/gambia.htm',
      'http://en.wikipedia.org/wiki/Gambian_dalasi',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'GNF',
    'num' => 324,
    'name' => 'Guinea, Francs',
    'links' => array(
      'http://www.xe.com/currency/gnf-guinean-franc',
      'http://en.wikipedia.org/wiki/Guinean_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'GTQ',
    'num' => 320,
    'name' => 'Guatemala, Quetzales',
    'links' => array(
      'http://www.xe.com/currency/gtq-guatemalan-quetzal',
      'http://www.gocurrency.com/countries/guatemala.htm',
      'http://en.wikipedia.org/wiki/Guatemalan_quetzal',
    ),
    'symbol' => 'Q',
    'entity' => '&#81;',
  );
  $currencies[] = array(
    'code' => 'GYD',
    'num' => 328,
    'name' => 'Guyana, Dollars',
    'links' => array(
      'http://www.xe.com/currency/gyd-guyanese-dollar',
      'http://www.gocurrency.com/countries/guyana.htm',
      'http://en.wikipedia.org/wiki/Guyanese_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'HKD',
    'num' => 344,
    'name' => 'Hong Kong, Dollars',
    'links' => array(
      'http://www.xe.com/currency/hkd-hong-kong-dollar',
      'http://www.gocurrency.com/countries/hong_kong.htm',
      'http://en.wikipedia.org/wiki/Hong_Kong_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'HNL',
    'num' => 340,
    'name' => 'Honduras, Lempiras',
    'links' => array(
      'http://www.xe.com/currency/hnl-honduran-lempira',
      'http://www.gocurrency.com/countries/honduras.htm',
      'http://en.wikipedia.org/wiki/Honduran_lempira',
    ),
    'symbol' => 'L',
    'entity' => '&#76;',
  );
  $currencies[] = array(
    'code' => 'HRK',
    'num' => 191,
    'name' => 'Croatia, Kuna',
    'links' => array(
      'http://www.xe.com/currency/hrk-croatian-kuna',
      'http://www.gocurrency.com/countries/croatia.htm',
      'http://en.wikipedia.org/wiki/Croatian_kuna',
    ),
    'symbol' => 'kn',
    'entity' => '&#107;&#110;',
    'coinage_symbol' => 'lipa',
  );
  $currencies[] = array(
    'code' => 'HTG',
    'num' => 332,
    'name' => 'Haiti, Gourdes',
    'links' => array(
      'http://www.xe.com/currency/htg-haitian-gourde',
      'http://www.gocurrency.com/countries/haiti.htm',
      'http://en.wikipedia.org/wiki/Haitian_gourde',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'HUF',
    'num' => 348,
    'name' => 'Hungary, Forint',
    'links' => array(
      'http://www.xe.com/currency/huf-hungarian-forint',
      'http://www.gocurrency.com/countries/hungary.htm',
      'http://en.wikipedia.org/wiki/Hungarian_forint',
    ),
    'symbol' => 'Ft',
    'entity' => '&#70;&#116;',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'IDR',
    'num' => 360,
    'name' => 'Indonesia, Rupiahs',
    'links' => array(
      'http://www.xe.com/currency/idr-indonesian-rupiah',
      'http://www.gocurrency.com/countries/indonesia.htm',
      'http://en.wikipedia.org/wiki/Indonesian_rupiah',
    ),
    'symbol' => 'Rp',
    'entity' => '&#82;&#112;',
    'decimal_places' => 0,
    'decimal_separator' => ',',
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'ILS',
    'num' => 376,
    'name' => 'Israel, New Shekels',
    'links' => array(
      'http://www.xe.com/currency/ils-israeli-shekel',
      'http://www.gocurrency.com/countries/israel.htm',
      'http://en.wikipedia.org/wiki/Israeli_new_sheqel',
    ),
    'symbol' => '₪',
    'entity' => '&#8362;',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'IMP',
    'name' => 'Isle of Man, Pounds',
    'links' => array(
      'http://www.xe.com/currency/imp-isle-of-man-pound',
      'http://en.wikipedia.org/wiki/Isle_of_Man_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'INR',
    'num' => 356,
    'name' => 'India, Rupees',
    'links' => array(
      'http://www.xe.com/currency/inr-indian-rupee',
      'http://www.gocurrency.com/countries/india.htm',
      'http://en.wikipedia.org/wiki/Indian_rupee',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'IQD',
    'num' => 368,
    'name' => 'Iraq, Dinars',
    'links' => array(
      'http://www.xe.com/currency/iqd-iraqi-dinar',
      'http://en.wikipedia.org/wiki/Iraqi_dinar',
    ),
    'symbol' => 'د.ع',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'IRR',
    'num' => 364,
    'name' => 'Iran, Rials',
    'links' => array(
      'http://www.xe.com/currency/irr-iranian-rial',
      'http://www.gocurrency.com/countries/iran.htm',
      'http://en.wikipedia.org/wiki/Iranian_rial',
    ),
    'symbol' => '﷼',
    'entity' => '&#65020;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ISK',
    'num' => 352,
    'name' => 'Iceland, Kronur',
    'links' => array(
      'http://www.xe.com/currency/isk-icelandic-krona',
      'http://www.gocurrency.com/countries/iceland.htm',
      'http://en.wikipedia.org/wiki/Icelandic_króna',
    ),
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
    'decimal_places' => 0,
    'decimal_separator' => ',',
    'thousands_separator' => '.',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'JEP',
    'name' => 'Jersey, Pounds',
    'links' => array(
      'http://www.xe.com/currency/jep-jersey-pound',
      'http://en.wikipedia.org/wiki/Jersey_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'JMD',
    'num' => 388,
    'name' => 'Jamaica, Dollars',
    'links' => array(
      'http://www.xe.com/currency/jmd-jamaican-dollar',
      'http://www.gocurrency.com/countries/jamaica.htm',
      'http://en.wikipedia.org/wiki/Jamaican_dollar',
    ),
    'symbol' => 'J$',
    'entity' => '&#74;&#36;',
  );
  $currencies[] = array(
    'code' => 'JOD',
    'num' => 400,
    'name' => 'Jordan, Dinars',
    'links' => array(
      'http://www.xe.com/currency/jod-jordanian-dinar',
      'http://www.gocurrency.com/countries/jordan.htm',
      'http://en.wikipedia.org/wiki/Jordanian_dinar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'JPY',
    'num' => 392,
    'name' => 'Japan, Yen',
    'links' => array(
      'http://www.xe.com/currency/jpy-japanese-yen',
      'http://www.gocurrency.com/countries/japan.htm',
      'http://en.wikipedia.org/wiki/Japanese_yen',
    ),
    'symbol' => '¥',
    'entity' => '&yen;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KES',
    'num' => 404,
    'name' => 'Kenya, Shillings',
    'links' => array(
      'http://www.xe.com/currency/kes-kenyan-shilling',
      'http://www.gocurrency.com/countries/kenya.htm',
      'http://en.wikipedia.org/wiki/Kenyan_shilling',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'KGS',
    'num' => 417,
    'name' => 'Kyrgyzstan, Soms',
    'links' => array(
      'http://www.xe.com/currency/kgs-kyrgyzstani-som',
      'http://en.wikipedia.org/wiki/Kyrgyzstani_som',
    ),
    'symbol' => 'лв',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'KHR',
    'num' => 116,
    'name' => 'Cambodia, Riels',
    'links' => array(
      'http://www.xe.com/currency/khr-cambodian-riel',
      'http://www.gocurrency.com/countries/cambodia.htm',
      'http://en.wikipedia.org/wiki/Cambodian_riel',
    ),
    'symbol' => '៛',
    'entity' => '&#6107;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KMF',
    'num' => 174,
    'name' => 'Comoros, Francs',
    'links' => array(
      'http://www.xe.com/currency/kmf-comoran-franc',
      'http://www.gocurrency.com/countries/comoros.htm',
      'http://en.wikipedia.org/wiki/Comoro_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KPW',
    'num' => 408,
    'name' => 'Korea (North), Won',
    'links' => array(
      'http://www.xe.com/currency/kpw-korean-won',
      'http://www.gocurrency.com/countries/north_korea.htm',
      'http://en.wikipedia.org/wiki/North_Korean_won',
    ),
    'symbol' => '₩',
    'entity' => '&#8361;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KRW',
    'num' => 410,
    'name' => 'Korea (South), Won',
    'links' => array(
      'http://www.xe.com/currency/krw-korean-won',
      'http://www.gocurrency.com/countries/south_korea.htm',
      'http://en.wikipedia.org/wiki/South_Korean_won',
    ),
    'symbol' => '₩',
    'entity' => '&#8361;',
    'decimal_places' => 0,
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'KWD',
    'num' => 414,
    'name' => 'Kuwait, Dinars',
    'base' => 1000,
    'links' => array(
      'http://www.xe.com/currency/kwd-kuwaiti-dinar',
      'http://www.gocurrency.com/countries/kuwait.htm',
      'http://en.wikipedia.org/wiki/Kuwaiti_dinar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'KYD',
    'num' => 136,
    'name' => 'Cayman Islands, Dollars',
    'links' => array(
      'http://www.xe.com/currency/kyd-caymanian-dollar',
      'http://www.gocurrency.com/countries/cayman_islands.htm',
      'http://en.wikipedia.org/wiki/Cayman_Islands_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'KZT',
    'num' => 398,
    'name' => 'Kazakhstan, Tenge',
    'links' => array(
      'http://www.xe.com/currency/kzt-kazakhstani-tenge',
      'http://www.gocurrency.com/countries/kazakhstan.htm',
      'http://en.wikipedia.org/wiki/Kazakhstani_tenge',
    ),
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'LAK',
    'num' => 418,
    'name' => 'Laos, Kips',
    'links' => array(
      'http://www.xe.com/currency/lak-lao-or-laotian-kip',
      'http://www.gocurrency.com/countries/laos.htm',
      'http://en.wikipedia.org/wiki/Lao_kip',
    ),
    'symbol' => '₭',
    'entity' => '&#8365;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'LBP',
    'num' => 422,
    'name' => 'Lebanon, Pounds',
    'links' => array(
      'http://www.xe.com/currency/lbp-lebanese-pound',
      'http://www.gocurrency.com/countries/lebanon.htm',
      'http://en.wikipedia.org/wiki/Lebanese_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
    'decimal_places' => 0,
    'thousands_separator' => ' ',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'LKR',
    'num' => 144,
    'name' => 'Sri Lanka, Rupees',
    'links' => array(
      'http://www.xe.com/currency/lkr-sri-lankan-rupee',
      'http://www.gocurrency.com/countries/sri_lanka.htm',
      'http://en.wikipedia.org/wiki/Sri_Lankan_rupee',
    ),
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'LRD',
    'num' => 430,
    'name' => 'Liberia, Dollars',
    'links' => array(
      'http://www.xe.com/currency/lrd-liberian-dollar',
      'http://www.gocurrency.com/countries/liberia.htm',
      'http://en.wikipedia.org/wiki/Liberian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'LSL',
    'num' => 426,
    'name' => 'Lesotho, Maloti',
    'links' => array(
      'http://www.xe.com/currency/lsl-basotho-loti',
      'http://www.gocurrency.com/countries/lesotho.htm',
      'http://en.wikipedia.org/wiki/Lesotho_loti',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'LTL',
    'num' => 440,
    'name' => 'Lithuania, Litai',
    'links' => array(
      'http://www.xe.com/currency/ltl-lithuanian-litas',
      'http://www.gocurrency.com/countries/lithuania.htm',
      'http://en.wikipedia.org/wiki/Lithuanian_litas',
    ),
    'symbol' => 'Lt',
    'entity' => '&#76;&#116;',
  );
  $currencies[] = array(
    'code' => 'LVL',
    'num' => 428,
    'name' => 'Latvia, Lati',
    'links' => array(
      'http://www.xe.com/currency/lvl-latvian-lat',
      'http://www.gocurrency.com/countries/latvia.htm',
      'http://en.wikipedia.org/wiki/Latvian_lats',
    ),
    'symbol' => 'Ls',
    'entity' => '&#76;&#115;',
  );
  $currencies[] = array(
    'code' => 'LYD',
    'num' => 434,
    'name' => 'Libya, Dinars',
    'links' => array(
      'http://www.xe.com/currency/lyd-libyan-dinar',
      'http://www.gocurrency.com/countries/libya.htm',
      'http://en.wikipedia.org/wiki/Libyan_dinar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'MAD',
    'num' => 504,
    'name' => 'Morocco, Dirhams',
    'links' => array(
      'http://www.xe.com/currency/mad-moroccan-dirham',
      'http://www.gocurrency.com/countries/morocco.htm',
      'http://en.wikipedia.org/wiki/Moroccan_dirham',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MDL',
    'num' => 498,
    'name' => 'Moldova, Lei',
    'links' => array(
      'http://www.xe.com/currency/mdl-moldovan-leu',
      'http://www.gocurrency.com/countries/moldova.htm',
      'http://en.wikipedia.org/wiki/Moldovan_leu',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MGA',
    'num' => 969,
    'name' => 'Madagascar, Ariary',
    'links' => array(
      'http://www.xe.com/currency/mga-malagasy-ariary',
      'http://www.gocurrency.com/countries/madagascar.htm',
      'http://en.wikipedia.org/wiki/Malagasy_ariary',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MKD',
    'num' => 807,
    'name' => 'Macedonia, Denars',
    'links' => array(
      'http://www.xe.com/currency/mkd-macedonian-denar',
      'http://www.gocurrency.com/countries/macedonia.htm',
      'http://en.wikipedia.org/wiki/Macedonian_denar',
    ),
    'symbol' => 'ден',
    'entity' => '&#1076;&#1077;&#1085;',
  );
  $currencies[] = array(
    'code' => 'MMK',
    'num' => 104,
    'name' => 'Myanmar (Burma), Kyats',
    'links' => array(
      'http://www.xe.com/currency/mmk-burmese-kyat',
      'http://www.gocurrency.com/countries/myanmar.htm',
      'http://en.wikipedia.org/wiki/Myanma_kyat',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'MNT',
    'num' => 496,
    'name' => 'Mongolia, Tugriks',
    'links' => array(
      'http://www.xe.com/currency/mnt-mongolian-tughrik',
      'http://www.gocurrency.com/countries/mongolia.htm',
      'http://en.wikipedia.org/wiki/Mongolian_tögrög',
    ),
    'symbol' => '₮',
    'entity' => '&#8366;',
  );
  $currencies[] = array(
    'code' => 'MOP',
    'num' => 446,
    'name' => 'Macau, Patacas',
    'links' => array(
      'http://www.xe.com/currency/mop-macau-pataca',
      'http://en.wikipedia.org/wiki/Macanese_pataca',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 1,
  );
  $currencies[] = array(
    'code' => 'MRO',
    'num' => 478,
    'name' => 'Mauritania, Ouguiyas',
    'links' => array(
      'http://www.xe.com/currency/mro-mauritian-ouguiya',
      'http://en.wikipedia.org/wiki/Mauritanian_ouguiya',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MTL',
    'num' => 470,
    'name' => 'Malta, Liri (expires 2008-Jan-31)',
    'links' => array(
      'http://en.wikipedia.org/wiki/Maltese_scudo',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MUR',
    'num' => 480,
    'name' => 'Mauritius, Rupees',
    'links' => array(
      'http://www.xe.com/currency/mur-mauritian-rupee',
      'http://en.wikipedia.org/wiki/Mauritian_rupee',
    ),
    'symbol' => '₨',
    'entity' => '&#8360;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'MVR',
    'num' => 462,
    'name' => 'Maldives (Maldive Islands), Rufiyaa',
    'links' => array(
      'http://www.xe.com/currency/mvr-maldivian-rufiyaa',
      'http://en.wikipedia.org/wiki/Maldivian_rufiyaa',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MWK',
    'num' => 454,
    'name' => 'Malawi, Kwachas',
    'links' => array(
      'http://www.xe.com/currency/mwk-malawian-kwacha',
      'http://www.gocurrency.com/countries/malawi.htm',
      'http://en.wikipedia.org/wiki/Malawian_kwacha',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MXN',
    'num' => 484,
    'name' => 'Mexico, Pesos',
    'links' => array(
      'http://www.xe.com/currency/mxn-mexican-peso',
      'http://www.gocurrency.com/countries/mexico.htm',
      'http://en.wikipedia.org/wiki/Mexican_peso',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'MYR',
    'num' => 458,
    'name' => 'Malaysia, Ringgits',
    'links' => array(
      'http://www.xe.com/currency/myr-malaysian-ringgit',
      'http://www.gocurrency.com/countries/malaysia.htm',
      'http://en.wikipedia.org/wiki/Malaysian_ringgit',
    ),
    'symbol' => 'RM',
    'entity' => '&#82;&#77;',
  );
  $currencies[] = array(
    'code' => 'MZN',
    'num' => 943,
    'name' => 'Mozambique, Meticais',
    'links' => array(
      'http://www.xe.com/currency/mzn-mozambican-metical',
      'http://www.gocurrency.com/countries/mozambique.htm',
      'http://en.wikipedia.org/wiki/Mozambican_metical',
    ),
    'symbol' => 'MT',
    'entity' => '&#77;&#84;',
  );
  $currencies[] = array(
    'code' => 'NAD',
    'num' => 516,
    'name' => 'Namibia, Dollars',
    'links' => array(
      'http://www.xe.com/currency/nad-namibian-dollar',
      'http://www.gocurrency.com/countries/namibia.htm',
      'http://en.wikipedia.org/wiki/Namibian_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'NGN',
    'num' => 566,
    'name' => 'Nigeria, Nairas',
    'links' => array(
      'http://www.xe.com/currency/ngn-nigerian-naira',
      'http://www.gocurrency.com/countries/nigeria.htm',
      'http://en.wikipedia.org/wiki/Nigerian_naira',
    ),
    'symbol' => '₦',
    'entity' => '&#8358;',
  );
  $currencies[] = array(
    'code' => 'NIO',
    'num' => 558,
    'name' => 'Nicaragua, Cordobas',
    'links' => array(
      'http://www.xe.com/currency/nio-nicaraguan-cordoba',
      'http://www.gocurrency.com/countries/nicaragua.htm',
      'http://en.wikipedia.org/wiki/Cordoba_oro',
    ),
    'symbol' => 'C$',
    'entity' => '&#67;&#36;',
  );
  $currencies[] = array(
    'code' => 'NOK',
    'num' => 578,
    'name' => 'Norway, Krone',
    'links' => array(
      'http://www.xe.com/currency/nok-norwegian-krone',
      'http://www.gocurrency.com/countries/norway.htm',
      'http://en.wikipedia.org/wiki/Norwegian_krone',
    ),
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
    'coinage_symbol' => 'Øre',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
  );
  $currencies[] = array(
    'code' => 'NPR',
    'num' => 524,
    'name' => 'Nepal, Nepal Rupees',
    'links' => array(
      'http://www.xe.com/currency/npr-nepalese-rupee',
      'http://www.gocurrency.com/countries/nepal.htm',
      'http://en.wikipedia.org/wiki/Nepalese_rupee',
    ),
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'NZD',
    'num' => 554,
    'name' => 'New Zealand, Dollars',
    'links' => array(
      'http://www.xe.com/currency/nzd-new-zealand-dollar',
      'http://www.gocurrency.com/countries/new_zealand.htm',
      'http://en.wikipedia.org/wiki/New_Zealand_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'OMR',
    'num' => 512,
    'name' => 'Oman, Rials',
    'links' => array(
      'http://www.xe.com/currency/omr-omani-rial',
      'http://www.gocurrency.com/countries/oman.htm',
      'http://en.wikipedia.org/wiki/Omani_rial',
    ),
    'symbol' => '﷼',
    'entity' => '&#65020;',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'PAB',
    'num' => 590,
    'name' => 'Panama, Balboa',
    'links' => array(
      'http://www.xe.com/currency/pab-panamanian-balboa',
      'http://www.gocurrency.com/countries/panama.htm',
      'http://en.wikipedia.org/wiki/Panamanian_balboa',
    ),
    'symbol' => 'B/.',
    'entity' => '&#66;&#47;&#46;',
  );
  $currencies[] = array(
    'code' => 'PEN',
    'num' => 604,
    'name' => 'Peru, Nuevos Soles',
    'links' => array(
      'http://www.xe.com/currency/pen-peruvian-nuevo-sol',
      'http://www.gocurrency.com/countries/peru.htm',
      'http://en.wikipedia.org/wiki/Peruvian_nuevo_sol',
    ),
    'symbol' => 'S/.',
    'entity' => '&#83;&#47;&#46;',
  );
  $currencies[] = array(
    'code' => 'PGK',
    'num' => 598,
    'name' => 'Papua New Guinea, Kina',
    'links' => array(
      'http://www.xe.com/currency/pgk-papua-new-guinean-kina',
      'http://www.gocurrency.com/countries/papua_new_guinea.htm',
      'http://en.wikipedia.org/wiki/Papua_New_Guinean_kina',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'PHP',
    'num' => 608,
    'name' => 'Philippines, Pesos',
    'links' => array(
      'http://www.xe.com/currency/php-philippine-peso',
      'http://en.wikipedia.org/wiki/Philippine_peso',
    ),
    'symbol' => 'Php',
    'entity' => '&#80;&#104;&#112;',
  );
  $currencies[] = array(
    'code' => 'PKR',
    'num' => 586,
    'name' => 'Pakistan, Rupees',
    'links' => array(
      'http://www.xe.com/currency/pkr-pakistani-rupee',
      'http://www.gocurrency.com/countries/pakistan.htm',
      'http://en.wikipedia.org/wiki/Pakistani_rupee',
    ),
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'PLN',
    'num' => 985,
    'name' => 'Poland, Zlotych',
    'links' => array(
      'http://www.xe.com/currency/pln-polish-zloty',
      'http://en.wikipedia.org/wiki/Polish_złoty',
    ),
    'symbol' => 'zł',
    'entity' => '&#122;&#322;',
    'decimal_separator' => ',',
    'thousands_separator' => ' ',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'PYG',
    'num' => 600,
    'name' => 'Paraguay, Guarani',
    'links' => array(
      'http://www.xe.com/currency/pyg-paraguayan-guarani',
      'http://www.gocurrency.com/countries/paraguay.htm',
      'http://en.wikipedia.org/wiki/Paraguayan_guaran%C3%AD',
    ),
    'symbol' => 'Gs',
    'entity' => '&#71;&#115;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'QAR',
    'num' => 634,
    'name' => 'Qatar, Rials',
    'links' => array(
      'http://www.xe.com/currency/qar-qatari-riyal',
      'http://www.gocurrency.com/countries/qatar.htm',
      'http://en.wikipedia.org/wiki/Qatari_rial',
    ),
    'symbol' => '﷼',
    'entity' => '&#65020;',
  );
  $currencies[] = array(
    'code' => 'RON',
    'num' => 946,
    'name' => 'Romania, New Lei',
    'links' => array(
      'http://www.xe.com/currency/ron-romanian-new-leu',
      'http://www.gocurrency.com/countries/romania.htm',
      'http://en.wikipedia.org/wiki/Romanian_Leu',
    ),
    'symbol' => 'lei',
    'entity' => '&#108;&#101;&#105;',
  );
  $currencies[] = array(
    'code' => 'RSD',
    'num' => 941,
    'name' => 'Serbia, Dinars',
    'links' => array(
      'http://www.xe.com/currency/rsd-serbian-dinar',
      'http://www.gocurrency.com/countries/serbia.htm',
      'http://en.wikipedia.org/wiki/Serbian_dinar',
    ),
    'symbol' => 'Дин.',
    'entity' => '&#1044;&#1080;&#1085;&#46;',
    'coinage_symbol' => 'paras',
  );
  $currencies[] = array(
    'code' => 'RUB',
    'num' => 643,
    'name' => 'Russia, Rubles',
    'links' => array(
      'http://www.xe.com/currency/rub-russian-ruble',
      'http://www.gocurrency.com/countries/russia.htm',
      'http://en.wikipedia.org/wiki/Russian_rouble',
    ),
    'symbol' => 'руб',
    'entity' => '&#1088;&#1091;&#1073;',
  );
  $currencies[] = array(
    'code' => 'RWF',
    'num' => 646,
    'name' => 'Rwanda, Rwanda Francs',
    'links' => array(
      'http://www.xe.com/currency/rwf-rwandan-franc',
      'http://www.gocurrency.com/countries/rwanda.htm',
      'http://en.wikipedia.org/wiki/Rwandan_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SAR',
    'num' => 682,
    'name' => 'Saudi Arabia, Riyals',
    'links' => array(
      'http://www.xe.com/currency/sar-saudi-or-saudi-arabian-riyal',
      'http://www.gocurrency.com/countries/saudi_arabia.htm',
      'http://en.wikipedia.org/wiki/Saudi_riyal',
    ),
    'symbol' => '﷼',
    'entity' => '&#65020;',
  );
  $currencies[] = array(
    'code' => 'SBD',
    'num' => 90,
    'name' => 'Solomon Islands, Dollars',
    'links' => array(
      'http://www.xe.com/currency/sbd-solomon-islander-dollar',
      'http://www.gocurrency.com/countries/solomon_islands.htm',
      'http://en.wikipedia.org/wiki/Solomon_Islands_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'SCR',
    'num' => 690,
    'name' => 'Seychelles, Rupees',
    'links' => array(
      'http://www.xe.com/currency/scr-seychellois-rupee',
      'http://www.gocurrency.com/countries/seychelles.htm',
      'http://en.wikipedia.org/wiki/Seychelles_rupee',
    ),
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'SDG',
    'num' => 938,
    'name' => 'Sudan, Pounds',
    'links' => array(
      'http://www.xe.com/currency/sdg-sudanese-pound',
      'http://www.gocurrency.com/countries/sudan.htm',
      'http://en.wikipedia.org/wiki/Sudanese_pound',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'SEK',
    'num' => 752,
    'name' => 'Sweden, Kronor',
    'links' => array(
      'http://www.xe.com/currency/sek-swedish-krona',
      'http://www.gocurrency.com/countries/sweden.htm',
      'http://en.wikipedia.org/wiki/Swedish_krona',
    ),
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
    'coinage_symbol' => 'öre',
    'thousands_separator' => ' ',
    'symbol_position' => FORMAT_CURRENCY_RIGHT,
  );
  $currencies[] = array(
    'code' => 'SGD',
    'num' => 702,
    'name' => 'Singapore, Dollars',
    'links' => array(
      'http://www.xe.com/currency/sgd-singapore-dollar',
      'http://www.gocurrency.com/countries/singapore.htm',
      'http://en.wikipedia.org/wiki/Singapore_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'SHP',
    'num' => 654,
    'name' => 'Saint Helena, Pounds',
    'links' => array(
      'http://www.gocurrency.com/countries/saint_helena.htm',
      'http://en.wikipedia.org/wiki/Saint_Helena_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'SLL',
    'num' => 694,
    'name' => 'Sierra Leone, Leones',
    'links' => array(
      'http://www.xe.com/currency/sll-sierra-leonean-leone',
      'http://www.gocurrency.com/countries/sierra_leone.htm',
      'http://en.wikipedia.org/wiki/Sierra_Leonean_leone',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SOS',
    'num' => 706,
    'name' => 'Somalia, Shillings',
    'links' => array(
      'http://www.xe.com/currency/sos-somali-shilling',
      'http://www.gocurrency.com/countries/somalia.htm',
      'http://en.wikipedia.org/wiki/Somali_shilling',
    ),
    'symbol' => 'S',
    'entity' => '&#83;',
  );
  $currencies[] = array(
    'code' => 'SPL',
    'name' => 'Seborga, Luigini',
    'links' => array(
      'http://www.xe.com/currency/spl-seborgan-luigino',
      'http://en.wikipedia.org/wiki/Seborga_luigino',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'SRD',
    'num' => 968,
    'name' => 'Suriname, Dollars',
    'links' => array(
      'http://www.xe.com/currency/srd-surinamese-dollar',
      'http://www.gocurrency.com/countries/suriname.htm',
      'http://en.wikipedia.org/wiki/Surinamese_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'STD',
    'num' => 678,
    'name' => 'São Tome and Principe, Dobras',
    'links' => array(
      'http://www.xe.com/currency/std-sao-tomean-dobra',
      'http://en.wikipedia.org/wiki/São_Tomé_and_Pr%C3%ADncipe_dobra',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SVC',
    'num' => 222,
    'name' => 'El Salvador, Colones',
    'links' => array(
      'http://www.xe.com/currency/svc-salvadoran-colon',
      'http://www.gocurrency.com/countries/el_salvador.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'SYP',
    'num' => 760,
    'name' => 'Syria, Pounds',
    'links' => array(
      'http://www.xe.com/currency/syp-syrian-pound',
      'http://www.gocurrency.com/countries/syria.htm',
      'http://en.wikipedia.org/wiki/Syrian_pound',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'SZL',
    'num' => 748,
    'name' => 'Swaziland, Emalangeni',
    'links' => array(
      'http://www.xe.com/currency/szl-swazi-lilangeni',
      'http://en.wikipedia.org/wiki/Lilangeni',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'THB',
    'num' => 764,
    'name' => 'Thailand, Baht',
    'links' => array(
      'http://www.xe.com/currency/thb-thai-baht',
      'http://www.gocurrency.com/countries/thailand.htm',
      'http://en.wikipedia.org/wiki/Thai_baht',
    ),
    'symbol' => '฿',
    'entity' => '',
    'coinage_symbol' => 'satang',
  );
  $currencies[] = array(
    'code' => 'TJS',
    'num' => 972,
    'name' => 'Tajikistan, Somoni',
    'links' => array(
      'http://www.xe.com/currency/tjs-tajikistani-somoni',
      'http://en.wikipedia.org/wiki/Tajikistani_somoni',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TMM',
    'num' => 795,
    'name' => 'Turkmenistan, Manats',
    'links' => array(
      'http://www.gocurrency.com/countries/turkmenistan.htm',
      'http://en.wikipedia.org/wiki/Turkmenistani_manat',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'TMT',
    'num' => 934,
    'name' => 'Turkmenistan, New Manats',
    'links' => array(
      'http://www.xe.com/currency/tmt-turkmenistani-manat',
      'http://www.gocurrency.com/countries/turkmenistan.htm',
      'http://en.wikipedia.org/wiki/Turkmenistani_manat',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TND',
    'num' => 788,
    'name' => 'Tunisia, Dinars',
    'links' => array(
      'http://www.xe.com/currency/tnd-tunisian-dinar',
      'http://www.gocurrency.com/countries/tunisia.htm',
      'http://en.wikipedia.org/wiki/Tunisian_dinar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'TOP',
    'num' => 776,
    'name' => "Tonga, Pa'anga",
    'links' => array(
      "http://www.xe.com/currency/top-tongan-pa'anga",
      'http://www.gocurrency.com/countries/tonga.htm',
      'http://en.wikipedia.org/wiki/Tongan_paʻanga',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TRY',
    'num' => 949,
    'name' => 'Turkey, New Lira',
    'links' => array(
      'http://www.xe.com/currency/try-turkish-lira',
      'http://www.gocurrency.com/countries/turkey.htm',
      'http://en.wikipedia.org/wiki/Turkish_lira',
    ),
    'symbol' => 'TL',
    'entity' => '&#84;&#76;',
  );
  $currencies[] = array(
    'code' => 'TTD',
    'num' => 780,
    'name' => 'Trinidad and Tobago, Dollars',
    'links' => array(
      'http://www.xe.com/currency/ttd-trinidadian-dollar',
      'http://www.gocurrency.com/countries/trinidad_and_tobago.htm',
      'http://en.wikipedia.org/wiki/Trinidad_and_Tobago_dollar',
    ),
    'symbol' => 'TT$',
    'entity' => '&#84;&#84;&#36;',
  );
  $currencies[] = array(
    'code' => 'TVD',
    'name' => 'Tuvalu, Tuvalu Dollars',
    'links' => array(
      'http://www.xe.com/currency/tvd-tuvaluan-dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'TWD',
    'num' => 901,
    'name' => 'Taiwan, New Dollars',
    'links' => array(
      'http://www.xe.com/currency/twd-taiwan-new-dollar',
      'http://www.gocurrency.com/countries/taiwan.htm',
      'http://en.wikipedia.org/wiki/New_Taiwan_dollar',
    ),
    'symbol' => 'NT$',
    'entity' => '&#78;&#84;&#36;',
    'decimal_places' => 1,
  );
  $currencies[] = array(
    'code' => 'TZS',
    'num' => 834,
    'name' => 'Tanzania, Shillings',
    'links' => array(
      'http://www.xe.com/currency/tzs-tanzanian-shilling',
      'http://www.gocurrency.com/countries/tanzania.htm',
      'http://en.wikipedia.org/wiki/Tanzanian_shilling',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'UAH',
    'num' => 980,
    'name' => 'Ukraine, Hryvnia',
    'links' => array(
      'http://www.xe.com/currency/uah-ukrainian-hryvna',
      'http://www.gocurrency.com/countries/ukraine.htm',
      'http://en.wikipedia.org/wiki/Ukrainian_hryvnia',
    ),
    'symbol' => '₴',
    'entity' => '&#8372;',
  );
  $currencies[] = array(
    'code' => 'UGX',
    'num' => 800,
    'name' => 'Uganda, Shillings',
    'links' => array(
      'http://www.xe.com/currency/ugx-ugandan-shilling',
      'http://www.gocurrency.com/countries/uganda.htm',
      'http://en.wikipedia.org/wiki/Ugandan_shilling',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'UYU',
    'num' => 858,
    'name' => 'Uruguay, Pesos',
    'links' => array(
      'http://www.xe.com/currency/uyu-uruguayan-peso',
      'http://www.gocurrency.com/countries/uruguay.htm',
      'http://en.wikipedia.org/wiki/Uruguayan_peso',
    ),
    'symbol' => '$U',
    'entity' => '&#36;&#85;',
  );
  $currencies[] = array(
    'code' => 'UZS',
    'num' => 860,
    'name' => 'Uzbekistan, Sums',
    'links' => array(
      'http://www.xe.com/currency/uzs-uzbekistani-som',
      'http://www.gocurrency.com/countries/uzbekistan.htm',
      'http://en.wikipedia.org/wiki/Uzbekistan_som',
    ),
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'VEB',
    'num' => 862,
    'name' => 'Venezuela, Bolivares (expires 2008-Jun-30)',
    'links' => array(
      'http://www.xe.com/currency/veb-venezuelan-bolivar',
      'http://www.gocurrency.com/countries/venezuela.htm',
      'http://en.wikipedia.org/wiki/Venezuelan_bol%C3%ADvar',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_separator' => ',',
    'thousands_separator' => '.',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'VEF',
    'num' => 937,
    'name' => 'Venezuela, Bolivares Fuertes',
    'links' => array(
      'http://www.xe.com/currency/vef-venezuelan-bolivar-fuerte',
      'http://www.gocurrency.com/countries/venezuela.htm',
      'http://en.wikipedia.org/wiki/Venezuelan_bol%C3%ADvar',
    ),
    'symbol' => 'Bs',
    'entity' => '&#66;&#115;',
  );
  $currencies[] = array(
    'code' => 'VND',
    'num' => 704,
    'name' => 'Viet Nam, Dong',
    'links' => array(
      'http://www.xe.com/currency/vnd-vietnamese-dong',
      'http://www.gocurrency.com/countries/vietnam.htm',
      'http://en.wikipedia.org/wiki/Vietnamese_đồng',
    ),
    'symbol' => '₫',
    'entity' => '&#8363;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'VUV',
    'num' => 548,
    'name' => 'Vanuatu, Vatu',
    'links' => array(
      'http://www.xe.com/currency/vuv-ni-vanuatu-vatu',
      'http://www.gocurrency.com/countries/vanuatu.htm',
      'http://en.wikipedia.org/wiki/Vanuatu_vatu',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'WST',
    'num' => 882,
    'name' => 'Samoa, Tala',
    'links' => array(
      'http://www.xe.com/currency/wst-samoan-tala',
      'http://www.gocurrency.com/countries/samoa.htm',
      'http://en.wikipedia.org/wiki/Samoan_tala',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'XAF',
    'num' => 950,
    'name' => 'Communauté Financière Africaine BEAC, Francs',
    'links' => array(
      'http://www.xe.com/currency/xaf-central-african-cfa-franc-beac',
      'http://en.wikipedia.org/wiki/Central_African_CFA_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XAG',
    'num' => 961,
    'name' => 'Silver, Ounces',
    'links' => array(
      'http://en.wikipedia.org/wiki/Silver',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XAU',
    'num' => 959,
    'name' => 'Gold, Ounces',
    'links' => array(
      'http://en.wikipedia.org/wiki/Gold',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XCD',
    'num' => 951,
    'name' => 'East Caribbean Dollars',
    'links' => array(
      'http://www.xe.com/currency/xcd-east-caribbean-dollar',
      'http://www.gocurrency.com/countries/east_caribbean.htm',
      'http://en.wikipedia.org/wiki/East_Caribbean_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'XDR',
    'num' => 960,
    'name' => 'International Monetary Fund (IMF) Special Drawing Rights',
    'links' => array(
      'http://www.xe.com/currency/xdr-imf-special-drawing-rights',
      'http://en.wikipedia.org/wiki/Special_Drawing_Rights',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XOF',
    'num' => 952,
    'name' => 'Communauté Financière Africaine BCEAO, Francs',
    'links' => array(
      'http://www.xe.com/currency/xof-cfa-franc',
      'http://en.wikipedia.org/wiki/West_African_CFA_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPD',
    'num' => 964,
    'name' => 'Palladium Ounces',
    'links' => array(
      'http://en.wikipedia.org/wiki/Palladium',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPF',
    'num' => 953,
    'name' => 'Comptoirs Français du Pacifique Francs',
    'links' => array(
      'http://www.xe.com/currency/xpf-cfp-franc',
      'http://en.wikipedia.org/wiki/CFP_franc',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPT',
    'num' => 962,
    'name' => 'Platinum, Ounces',
    'links' => array(
      'http://en.wikipedia.org/wiki/Platinum',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'YER',
    'num' => 886,
    'name' => 'Yemen, Rials',
    'links' => array(
      'http://www.xe.com/currency/yer-yemeni-rial',
      'http://www.gocurrency.com/countries/yemen.htm',
      'http://en.wikipedia.org/wiki/Yemeni_rial',
    ),
    'symbol' => '﷼',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ZAR',
    'num' => 710,
    'name' => 'South Africa, Rand',
    'links' => array(
      'http://www.xe.com/currency/zar-south-african-rand',
      'http://www.gocurrency.com/countries/south_africa.htm',
      'http://en.wikipedia.org/wiki/South_African_rand',
    ),
    'symbol' => 'R',
    'entity' => '&#82;',
  );
  $currencies[] = array(
    'code' => 'ZMK',
    'num' => 894,
    'name' => 'Zambia, Kwacha',
    'links' => array(
      'http://www.xe.com/currency/zmk-zambian-kwacha',
      'http://www.gocurrency.com/countries/zambia.htm',
      'http://en.wikipedia.org/wiki/Zambian_kwacha',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ZWD',
    'num' => 716,
    'name' => 'Zimbabwe, Zimbabwe Dollars',
    'links' => array(
      'http://www.xe.com/currency/zwd-zimbabwean-dollar',
      'http://www.gocurrency.com/countries/zimbabwe.htm',
      'http://en.wikipedia.org/wiki/Zimbabwe_dollar',
    ),
    'symbol' => 'Z$',
    'entity' => 'Z&#36;',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'ZWL',
    'num' => 932,
    'name' => 'Zimbabwe, Zimbabwe Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/zimbabwe.htm',
      'http://en.wikipedia.org/wiki/Zimbabwe_dollar',
    ),
    'symbol' => 'Z$',
    'entity' => 'Z&#36;',
  );
  $currencies[] = array(
    'code' => 'ZWN',
    'num' => 942,
    'name' => 'Zimbabwe, Zimbabwe Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/zimbabwe.htm',
      'http://en.wikipedia.org/wiki/Zimbabwe_dollar',
    ),
    'symbol' => 'Z$',
    'entity' => 'Z&#36;',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );
  $currencies[] = array(
    'code' => 'ZWR',
    'num' => 935,
    'name' => 'Zimbabwe, Zimbabwe Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/zimbabwe.htm',
      'http://en.wikipedia.org/wiki/Zimbabwe_dollar',
    ),
    'symbol' => 'Z$',
    'entity' => 'Z&#36;',
    'status' => FORMAT_CURRENCY_EXPIRED,
  );

//  $currencies[] = array(
//    'code' => '',
//    'num' => 0,
//    'name' => '',
//    'base' => 100,
//    'links' => array(),
//    'symbol' => '',
//    'entity' => '',
//    'coinage_symbol' => '',
//    'coinage_entity' => '',
//    'decimal_places' => 2,
//    'decimal_separator' => '.',
//    'thousands_separator' => ',',
//    'symbol_position' => FORMAT_CURRENCY_LEFT,
//    'coinage_position' => FORMAT_CURRENCY_RIGHT,
//    'status' => FORMAT_CURRENCY_ACTIVE,
//  );

  return $currencies;
}